﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>

    <script type="text/javascript">
        var convertFromServer = function(projCode) {
            PageMethods.ConvertTo(projCode, function(result) {
                $get('spResult').innerHTML += 'Convert From Server:<br>' + result + '<br/><br/>';
            });
        };
        var convertFromClient = function(projCode) {
            Proj4js.libPath = '/'
            var projCodeString = 'EPSG:' + projCode;
            var point1 = new OpenLayers.Geometry.Point(124.58, 56.456);
            var point2 = OpenLayers.Projection.transform(point1, new OpenLayers.Projection("EPSG:4326"), new OpenLayers.Projection(projCodeString));
            $get('spResult').innerHTML += 'Convert From Client:<br/>' + point2.x + ',' + point2.y + '<br/><br/>';
        };

        var convert = function() {
            $get('spResult').innerHTML = '';
            var projCode = parseInt($get('iptProj').value);
            convertFromClient(projCode);
            convertFromServer(projCode);
        }
    </script>

</head>
<body>
    <form id="form1" runat="server" action="AddAPopup.aspx">
    <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
    </cc1:Map>

    <script type="text/javascript" src="/proj4/proj4js-combined.js"></script>

    <Description:DescriptionPanel ID="DescPanel" runat="server" Height="350">
        This sample simply adds an overlay and sets the background.<br/><br/>
        Please input the projection code such as 4139, 4181, 4302, etc which are supported by both client and server projection.<br/><br/>
        You'll find the differenct of the convertion result.<br/><br/>
        You can find the projection code which is supported by JavaScript by see the files in defs folder.<br/><br/>
        <input type="text" id="iptProj" value="32622" />
        <input type="button" value="Convert" onclick="convert();" />
        <br />
        <span id="spResult" />
    </Description:DescriptionPanel>
    </form>
</body>
</html>
